    import StateStore from 'yjs/src/Store/StateStore.js'

public class | source

# StateStore

## Constructor Summary

Public Constructor
public | constructor () |

## Member Summary

Public Members
public | state : * |
public | y : * |

## Method Summary

Public Methods
public | getNextID (len: *): * |
public | getState (user: *): * |
public | logTable () |
public | setState (user: *, state: *) |
public | updateRemoteState (struct: *) |

## Public Constructors

### public constructor() source

## Public Members

### public state: * source

### public y: * source

## Public Methods

### public getNextID(len: *): * source

#### Params:

Name | Type | Attribute | Description
len | * |  |

#### Return:

*

### public getState(user: *): * source

#### Params:

Name | Type | Attribute | Description
user | * |  |

#### Return:

*

### public logTable() source

### public setState(user: *, state: *) source

#### Params:

Name | Type | Attribute | Description
user | * |  |
state | * |  |

### public updateRemoteState(struct: *) source

#### Params:

Name | Type | Attribute | Description
struct | * |  |